import Vue from 'vue';

async function save(title, startDateString, endDateString, availableCount, addPercent) {
    const request = {title, startDateString, endDateString, availableCount, addPercent}
    return Vue.axios.post("/event/charge", request)
}

async function modify(id, title, startDateString, endDateString, availableCount, addPercent, isActive) {
    const request = {id, title, startDateString, endDateString, availableCount, addPercent, isActive}
    return Vue.axios.put("/event/charge", request)
}

async function getChargeEventList() {
    return Vue.axios.get('/event/charge/list')
}

export {save, modify, getChargeEventList}
